aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
-rwxr-xr-x.ci/plot.sh1
-rwxr-xr-xplot.sh1
2 files changed, 2 insertions, 0 deletions
diff --git a/.ci/plot.sh b/.ci/plot.sh
index 091abab..fee1166 100755
--- a/.ci/plot.sh
+++ b/.ci/plot.sh
@@ -6,6 +6,7 @@
# Distributed under the MIT License.
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
script_dir="$( cd -- "$script_dir" && pwd )"
diff --git a/plot.sh b/plot.sh
index e070861..884661c 100755
--- a/plot.sh
+++ b/plot.sh
@@ -6,6 +6,7 @@
# Distributed under the MIT License.
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
script_dir="$( cd -- "$script_dir" && pwd )"